petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPCreate

Creates the default KSP context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPCreate(MPI_Comm comm,KSP *inksp)

Collective on MPI_Comm Many br

### Input Parameter

comm -MPI communicator Many br

### Output Parameter

ksp -location to put the KSP context Many br

### Notes

The default KSP type is GMRES with a restart of 30, using modified Gram-Schmidt Many brorthogonalization. Many br

Many br

### Keywords

KSP, create, context

### See Also

KSPSetUp(), KSPSolve(), KSPDestroy(), KSP

Level:beginner
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html